summaryrefslogtreecommitdiff
path: root/debian/tests/python-upstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python-upstream.sh')
-rwxr-xr-xdebian/tests/python-upstream.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/tests/python-upstream.sh b/debian/tests/python-upstream.sh
new file mode 100755
index 00000000..36d5031c
--- /dev/null
+++ b/debian/tests/python-upstream.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+set -u
+
+helper=$PWD/debian/tests/upstream.py
+testdir=$PWD/src/python/test
+cp $helper $AUTOPKGTEST_TMP
+cp -R $testdir $AUTOPKGTEST_TMP
+cd $AUTOPKGTEST_TMP
+
+rm -f test/test_dtm.py # Imports torch too early.
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ /usr/bin/python${py3ver} -B upstream.py test
+ rm -rf .pytest_cache
+ echo "**********"
+done